* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100dvh;
}
header, footer {
    background: #333;
    color: white;
    text-align: center;
    padding: 20px;
}
main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
}
.row {
    display: flex;
    width: 100%;
    max-width: 1200px;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 20px;
}
.row img, .row iframe {
    width: 100%;
    max-width: 350px;
    height: auto;
}
.video-container {
    position: relative;
    max-width: 100%;
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    overflow: hidden;
    
  }
  
  .video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
@media (max-width: 768px) {
    .row {
        flex-direction: column;
        align-items: center;
    }
}